{--------------------------------------------------------}
{                                                        }
{    Programa de acesso rpido usando imap               }
{                                                        }
{    Programa principal                                  }
{                                                        }
{    Autor: Jos Antonio Borges e Fabiano Ferreira       }
{                                                        }
{    Em abril/2013                                       }
{                                                        }
{--------------------------------------------------------}

program imaputil;

uses
  dvcrt,
  dvwin,
  windows,
  sysutils,
  classes,
  dvinet,
  dvssl,
  dvform,
  dvarq,
  iuenvel,
  iuproces,
  iurede,
  iuvars,
  iupastas,
  iumsg,
  iuleit,
  iutela,
  iuleitin;

{--------------------------------------------------------}
{ Inicializa e obtem informaes para conexo            }
{--------------------------------------------------------}

procedure inicializa;
var ambiente: string;
begin
    clrscr;
    setwindowtitle('Imaputil');
    ambiente := sintambiente('IMAPUTIL', 'DIRIMAPUTIL');
    if ambiente = '' then
        ambiente := sintAmbiente('DOSVOX', 'PGMDOSVOX') + '\som\imaputil';
    sintinic (0, ambiente);

    write (pegaTextoMensagem('IUINIC'));   {'Imaputil - verso '}
    writeln (versao);
    writeln;

    if sintFalarTudo then
        begin
            mensagem ('IUINIC', -1);   {'Imaputil - verso '}
            sintetiza (versao);
        end
    else
            mensagem ('IUIMAPUTIL', -1);   {'Imaputil'}

    respserv := TStringList.create;
    pastasImap := TStringList.create;
    serialDownload := 1;

    dirRecebeCartavox := sintAmbiente('CARTAVOX', 'DIRRECEBE');
    clek := upcase((sintAmbiente('CARTAVOX', 'CLEK') + 'S')[1]) = 'S';
end;

{--------------------------------------------------------}
{ fecha a conexo e encerra o programa                   }
{--------------------------------------------------------}

procedure termina;
begin
    if sock > 0 then
    begin
        fimBufRede (pbuf);
        fechaConexao (sock);
        fechaWinsock;
    end;

    if sintFalarTudo then mensagem ('IUFIM', 1)   {'Fim do processamento.'}
    else writeln (pegaTextoMensagem('IUFIM'));   {'Fim do processamento.'}
    sintfim;
end;

{--------------------------------------------------------}
{ programa principal                                     }
{--------------------------------------------------------}

begin
    inicializa;
    if pedeDadosParaLogin (true) and conecta then
        processa;
    termina;
end.
